
<a name="2024.5.2-stable.743.1029cc8"></a>
## [2024.5.2-stable.743.1029cc8] - 2024-05-02
### Features
- load zip bundle from io.ReaderAt
- generalize defaut user middleware
- use github.com/wlynxg/anet instead of net


<a name="2024.1.12-stable.1304.2fbc718"></a>
## [2024.1.12-stable.1304.2fbc718] - 2024-01-12
### Features
- **module:** arcast integration
- **module:** generalizing casting process


<a name="2024.1.12-stable.907.776dbba"></a>
## [2024.1.12-stable.907.776dbba] - 2024-01-12
### Features
- **storage:** add revision number to documents


<a name="2024.1.10-stable.1222.a268759"></a>
## [2024.1.10-stable.1222.a268759] - 2024-01-10
### Features
- implement lfu based cache strategy


<a name="2023.12.5-stable.2140.b9c08f6"></a>
## [2023.12.5-stable.2140.b9c08f6] - 2023-12-05
### Features
- use go 1.21.5


<a name="2023.12.5-stable.2027.59f023a"></a>
## [2023.12.5-stable.2027.59f023a] - 2023-12-05
### Bug Fixes
- do not use goja.Value outside of loop


<a name="2023.12.5-stable.1318.753a6c9"></a>
## [2023.12.5-stable.1318.753a6c9] - 2023-12-05
### Bug Fixes
- temporarily write blob directly as response body without http.ServeContent
- do not use goja.Value outside of run loop

### Features
- rewrite cache blobstore driver parameters parsing


<a name="2023.12.3-stable.1326.c5efd77"></a>
## [2023.12.3-stable.1326.c5efd77] - 2023-12-03
### Features
- rewrite cache blobstore driver parameters parsing


<a name="2023.12.3-stable.1326.242bf37"></a>
## [2023.12.3-stable.1326.242bf37] - 2023-12-03
### Features
- rewrite cache blobstore driver parameters parsing


<a name="2023.12.1-stable.1420.065a900"></a>
## [2023.12.1-stable.1420.065a900] - 2023-12-01
### Bug Fixes
- **storage:** use missing cache driver options


<a name="2023.12.1-stable.1122.83a1e89"></a>
## [2023.12.1-stable.1122.83a1e89] - 2023-12-01
### Features
- use forked version of bigcache to prevent 64bits misalignment problems


<a name="2023.11.30-stable.1854.d9e8aac"></a>
## [2023.11.30-stable.1854.d9e8aac] - 2023-11-30
### Features
- **packaging:** rotate storage-server log files on alpine


<a name="2023.11.30-stable.1809.32f04af"></a>
## [2023.11.30-stable.1809.32f04af] - 2023-11-30
### Features
- **storage:** improve caching in cache driver


<a name="2023.11.30-stable.1410.870db07"></a>
## [2023.11.30-stable.1410.870db07] - 2023-11-30
### Features
- rewrite bus to prevent deadlocks


<a name="2023.11.29-stable.1010.f4a7366"></a>
## [2023.11.29-stable.1010.f4a7366] - 2023-11-29
### Features
- **storage:** rpc driver client pooling and memory-constrained cache driver


<a name="2023.10.25-stable.1927.02c74b6"></a>
## [2023.10.25-stable.1927.02c74b6] - 2023-10-25
### Features
- **client:** add loader for apps menu


<a name="2023.10.24-stable.2052.8889694"></a>
## [2023.10.24-stable.2052.8889694] - 2023-10-24
### Features
- **blobstore:** add cache driver
- **cli:** add basic bundle info command


<a name="2023.10.22-stable.2118.2fc590d"></a>
## [2023.10.22-stable.2118.2fc590d] - 2023-10-22
### Features
- **storage:** retry sqlite failed transaction when database is busy


<a name="2023.10.22-stable.2104.6e4bf2f"></a>
## [2023.10.22-stable.2104.6e4bf2f] - 2023-10-22
### Features
- **storage:** remap rpc errors


<a name="2023.10.22-stable.847.22a3326"></a>
## [2023.10.22-stable.847.22a3326] - 2023-10-22
### Features
- **lifecycle:** execute onInit func asynchronously


<a name="2023.10.21-stable.1946.0cfb132"></a>
## [2023.10.21-stable.1946.0cfb132] - 2023-10-21
### Features
- **lifecycle-module:** add debug message for onInit() execution


<a name="2023.10.21-stable.1938.de4ab0d"></a>
## [2023.10.21-stable.1938.de4ab0d] - 2023-10-21
### Bug Fixes
- **bus:** prevent double close in event dispatcher


<a name="2023.10.20-stable.901.d1458ba"></a>
## [2023.10.20-stable.901.d1458ba] - 2023-10-20
### Features
- capture logged exceptions and integrate storage-server with sentry
- **app:** pass context to start process
- **bundle:** add zim format support


<a name="2023.10.11-stable.943.4d064de"></a>
## [2023.10.11-stable.943.4d064de] - 2023-10-11
### Features
- **filter:** add basic json parsing test case


<a name="2023.10.3-stable.1725.8a5a1cd"></a>
## [2023.10.3-stable.1725.8a5a1cd] - 2023-10-03
### Bug Fixes
- **ci:** inject current branch name in release tasks

### Features
- **storage-server:** fix typo in openrc init script
- **storage-server:** remove /var/log/storage-server directory for apk packager
- **storage-server:** add check-token command


<a name="2023.10.3-stable.322.b2f100f"></a>
## [2023.10.3-stable.322.b2f100f] - 2023-10-02
### Bug Fixes
- **ci:** inject current branch name in release tasks


<a name="2023.10.3-stable.325.4c6e979"></a>
## [2023.10.3-stable.325.4c6e979] - 2023-10-02
### Bug Fixes
- **ci:** inject current branch name in release tasks
- **ci:** update sdk test app version correctly
- **ci:** add missing task dependency

### Features
- **storage-server:** fix service


<a name="2023.10.2-stable.2314.599ff74"></a>
## 2023.10.2-stable.2314.599ff74 - 2023-10-02
### Bug Fixes
- prevent bus congestion by flushing out messages
- **app:** use event loop runtime for every operations
- **doc:** typo
- **doc:** typo
- **doc:** typo
- **http:** default upload max size

### Documentation
- **auth:** add informations about anonymous users
- **context:** remove reference to obsolete attribute

### Features
- add proxy package
- initial commit
- goreleaser packaging
- add basic local login handler in dev cli
- remove arbitrary timeout
- **auth:** automatically generate anonymous user session
- **http:** handle html5 routing
- **http:** allow passing middlewares via options
- **jwt:** handle nil keyset
- **server:** handle panic in runtime
- **storage:** rpc based implementation
- **storage-server:** add packaging services
- **storage-server:** jwt based authentication


[Unreleased]: https://forge.cadoles.com/compare/2024.5.2-stable.743.1029cc8...HEAD
[2024.5.2-stable.743.1029cc8]: https://forge.cadoles.com/compare/2024.1.12-stable.1304.2fbc718...2024.5.2-stable.743.1029cc8
[2024.1.12-stable.1304.2fbc718]: https://forge.cadoles.com/compare/2024.1.12-stable.907.776dbba...2024.1.12-stable.1304.2fbc718
[2024.1.12-stable.907.776dbba]: https://forge.cadoles.com/compare/2024.1.10-stable.1222.a268759...2024.1.12-stable.907.776dbba
[2024.1.10-stable.1222.a268759]: https://forge.cadoles.com/compare/2023.12.5-stable.2140.b9c08f6...2024.1.10-stable.1222.a268759
[2023.12.5-stable.2140.b9c08f6]: https://forge.cadoles.com/compare/2023.12.5-stable.2027.59f023a...2023.12.5-stable.2140.b9c08f6
[2023.12.5-stable.2027.59f023a]: https://forge.cadoles.com/compare/2023.12.5-stable.1318.753a6c9...2023.12.5-stable.2027.59f023a
[2023.12.5-stable.1318.753a6c9]: https://forge.cadoles.com/compare/2023.12.3-stable.1326.c5efd77...2023.12.5-stable.1318.753a6c9
[2023.12.3-stable.1326.c5efd77]: https://forge.cadoles.com/compare/2023.12.3-stable.1326.242bf37...2023.12.3-stable.1326.c5efd77
[2023.12.3-stable.1326.242bf37]: https://forge.cadoles.com/compare/2023.12.1-stable.1420.065a900...2023.12.3-stable.1326.242bf37
[2023.12.1-stable.1420.065a900]: https://forge.cadoles.com/compare/2023.12.1-stable.1122.83a1e89...2023.12.1-stable.1420.065a900
[2023.12.1-stable.1122.83a1e89]: https://forge.cadoles.com/compare/2023.11.30-stable.1854.d9e8aac...2023.12.1-stable.1122.83a1e89
[2023.11.30-stable.1854.d9e8aac]: https://forge.cadoles.com/compare/2023.11.30-stable.1809.32f04af...2023.11.30-stable.1854.d9e8aac
[2023.11.30-stable.1809.32f04af]: https://forge.cadoles.com/compare/2023.11.30-stable.1410.870db07...2023.11.30-stable.1809.32f04af
[2023.11.30-stable.1410.870db07]: https://forge.cadoles.com/compare/2023.11.29-stable.1010.f4a7366...2023.11.30-stable.1410.870db07
[2023.11.29-stable.1010.f4a7366]: https://forge.cadoles.com/compare/2023.10.25-stable.1927.02c74b6...2023.11.29-stable.1010.f4a7366
[2023.10.25-stable.1927.02c74b6]: https://forge.cadoles.com/compare/2023.10.24-stable.2052.8889694...2023.10.25-stable.1927.02c74b6
[2023.10.24-stable.2052.8889694]: https://forge.cadoles.com/compare/2023.10.22-stable.2118.2fc590d...2023.10.24-stable.2052.8889694
[2023.10.22-stable.2118.2fc590d]: https://forge.cadoles.com/compare/2023.10.22-stable.2104.6e4bf2f...2023.10.22-stable.2118.2fc590d
[2023.10.22-stable.2104.6e4bf2f]: https://forge.cadoles.com/compare/2023.10.22-stable.847.22a3326...2023.10.22-stable.2104.6e4bf2f
[2023.10.22-stable.847.22a3326]: https://forge.cadoles.com/compare/2023.10.21-stable.1946.0cfb132...2023.10.22-stable.847.22a3326
[2023.10.21-stable.1946.0cfb132]: https://forge.cadoles.com/compare/2023.10.21-stable.1938.de4ab0d...2023.10.21-stable.1946.0cfb132
[2023.10.21-stable.1938.de4ab0d]: https://forge.cadoles.com/compare/2023.10.20-stable.901.d1458ba...2023.10.21-stable.1938.de4ab0d
[2023.10.20-stable.901.d1458ba]: https://forge.cadoles.com/compare/2023.10.11-stable.943.4d064de...2023.10.20-stable.901.d1458ba
[2023.10.11-stable.943.4d064de]: https://forge.cadoles.com/compare/2023.10.3-stable.1725.8a5a1cd...2023.10.11-stable.943.4d064de
[2023.10.3-stable.1725.8a5a1cd]: https://forge.cadoles.com/compare/2023.10.3-stable.322.b2f100f...2023.10.3-stable.1725.8a5a1cd
[2023.10.3-stable.322.b2f100f]: https://forge.cadoles.com/compare/2023.10.3-stable.325.4c6e979...2023.10.3-stable.322.b2f100f
[2023.10.3-stable.325.4c6e979]: https://forge.cadoles.com/compare/2023.10.2-stable.2314.599ff74...2023.10.3-stable.325.4c6e979
